unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, AdvDropDown, AdvCustomGridDropDown, AdvGridDropDown,
  AdvGridDropDownEx, Planner;

type
  TForm1 = class(TForm)
    AdvGridDropDownEx1: TAdvGridDropDownEx;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  AdvGridDropDownEx1.Columns[0].Header := 'Column 1';
  AdvGridDropDownEx1.Columns[1].Header := 'Column 2';
  AdvGridDropDownEx1.Columns[2].Header := 'Column 3';

  AdvGridDropDownEx1.Items.Clear;

  with (AdvGridDropDownEx1.Items.Add as TDropDownItemEx) do
  begin
    Color := clInfoBk;
    FontStyle := [fsBold];
    Text.Add('Row 1 C1');
    Text.Add('Row 1 C2');
    Text.Add('Row 1 C3');
  end;

  with (AdvGridDropDownEx1.Items.Add as TDropDownItemEx) do
  begin
    Color := clWhite;
    FontStyle := [fsItalic];
    Text.Add('Row 2 C1');
    Text.Add('Row 2 C2');
    Text.Add('Row 2 C3');
  end;

  with (AdvGridDropDownEx1.Items.Add as TDropDownItemEx) do
  begin
    Color := clYellow;
    FontStyle := [];
    Text.Add('Row 3 C1');
    Text.Add('Row 3 C2');
    Text.Add('Row 3 C3');
  end;

  with (AdvGridDropDownEx1.Items.Add as TDropDownItemEx) do
  begin
    Color := clInfoBk;
    FontStyle := [fsUnderline];
    Text.Add('Row 4 C1');
    Text.Add('Row 4 C2');
    Text.Add('Row 4 C3');
  end;

end;

end.
